## API Report File for "@genesislcap/foundation-alerts"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { Connect } from '@genesislcap/foundation-comms';
import { Datasource } from '@genesislcap/foundation-comms';
import { ElementStyles } from '@microsoft/fast-element';
import { FASTElement } from '@microsoft/fast-element';
import { InterfaceSymbol } from '@microsoft/fast-foundation';
import { Message } from '@genesislcap/foundation-comms';
import { PartialFASTElementDefinition } from '@microsoft/fast-element';
import { Subscription } from 'rxjs';
import { SyntheticViewTemplate } from '@microsoft/fast-element';
import { TemplateElementDependency } from '@genesislcap/foundation-ui';
import { ViewTemplate } from '@microsoft/fast-element';

// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "AlertConfig" because one of its declarations is marked as @internal
//
// @public
export interface AlertConfig extends PartialFASTElementDefinition {
    designSystemPrefix: string;
    // Warning: (ae-forgotten-export) The symbol "TemplateOptions" needs to be exported by the entry point index.d.ts
    templateOptions: TemplateOptions;
}

// @internal
export const AlertConfig: InterfaceSymbol<AlertConfig>;

// Warning: (ae-incompatible-release-tags) The symbol "configure" is marked as @public, but its signature references "FoundationAlerts" which is marked as @beta
//
// @public
export function configure(config: Partial<AlertConfig>): Promise<FoundationAlerts>;

// @public
export const defaultAlertConfig: AlertConfig;

// @beta
export class FoundationAlerts extends FASTElement {
    // (undocumented)
    alertConfig: AlertConfig;
    // (undocumented)
    alertEditItemData: AlertRule;
    // (undocumented)
    connect: Connect;
    // (undocumented)
    connectedCallback(): Promise<void>;
    // (undocumented)
    criteriaFromFilters: Map<string, string>;
    // (undocumented)
    criteriaFromFiltersChanged(): void;
    // (undocumented)
    datasource: Datasource;
    // (undocumented)
    dataSubscription: Subscription;
    // Warning: (ae-forgotten-export) The symbol "AlertRuleRow" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    delete(id: AlertRuleRow['DYNAMIC_NOTIFY_RULE_ID']): Promise<Message>;
    // (undocumented)
    disconnectedCallback(): void;
    // Warning: (ae-forgotten-export) The symbol "displayState" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    displayState: displayState;
    // (undocumented)
    filters: {
        name: string;
        callback: () => void;
        icon: {
            name: string;
        };
    }[];
    // (undocumented)
    handleAddAlertAction(): void;
    // (undocumented)
    handleEditAlertAction(item: any): void;
    // Warning: (ae-forgotten-export) The symbol "AlertRule" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    items: AlertRule[];
    // (undocumented)
    ready: boolean;
    // (undocumented)
    toogleStatus({ RULE_STATUS, DYNAMIC_NOTIFY_RULE_ID: ID, }: AlertRuleRow): Promise<Message>;
}

// @public (undocumented)
export const FoundationAlertsStyles: ElementStyles;

// Warning: (ae-incompatible-release-tags) The symbol "FoundationAlertsTemplate" is marked as @public, but its signature references "FoundationAlerts" which is marked as @beta
//
// @public (undocumented)
export const FoundationAlertsTemplate: ViewTemplate<FoundationAlerts, any>;

// Warning: (ae-incompatible-release-tags) The symbol "ZeroAlerts" is marked as @public, but its signature references "FoundationAlerts" which is marked as @beta
//
// @public
export class ZeroAlerts extends FoundationAlerts {
    // @internal (undocumented)
    connectedCallback(): Promise<void>;
    // @internal (undocumented)
    protected loadRemotes(): Promise<void>;
}

// (No @packageDocumentation comment for this package)

```
